function SegmentInputMatrix = ConvertInputMatrixFromCVToSegments (InputMatrix, SegNum) 
%        %
% cv - coordinate vector
% SegNum :segments Number in chain

lenIntrpltdVector = length (InputMatrix);

if (SegNum > lenIntrpltdVector /2)
    disp ('WARNING: long of segment is less than 2 pixels');
    SegmentInputMatrix = "Error SegNum not > IntrpltdVector /2";
    return;
end

[hig, wid] = size(InputMatrix);
for indIM = 1:hig
    tt=InputMatrix (indIM,:);
    vx=tt(1        :wid/2);
    vy=tt((wid/2)+1: wid);
    vy=double (cell2mat(vy));
    vx=double (cell2mat(vx));
    %plot (vx, vy);
    IntChain = GetChainAsIntegerVector (vx, vy, SegNum); % vector x and vevtor y
    SegmentInputMatrix (indIM, 1:SegNum)=IntChain ;
end
test=0;