%%%%%%
function [WordV10] = ReadCrudeDataFile (WordV10, indWordNum) %ind = index
%function [WordV10] = ReadCrudeDataFile2 (WordV10, PATH_TO_PROCESSED_FILE)
%indWordNum=0; % word Number, Just index
SyllNum=0; % Syllable Number, Just index
SuppNum=0; % Supplement Number, , Just index
global StrockOrder;
StrockOrder = 0; % SequenceKey       
%f = fullfile('myfolder','mysubfolder','myfile.m')
%fileID = fopen('C:\Users\Said\000 cc  DrSaidSaloum\My Matlab Code\U1niversity Project\DataSetV10\SaidSaloum iPen4\SaidSaloum,A,KH,SH,W,N,YA.txt', 'r', 'n', 'UTF-8');
% fullfile      
%path = fullfile('C:\Users\Said\000 cc  DrSaidSaloum\My Matlab Code\University Project\DataSetV10\SaidSaloum iPen4','SaidSaloum,A,L,AHD,S,L,A,M.txt')
%path = fullfile('C:\Users\Said\000 cc  DrSaidSaloum\My Matlab Code\University Project\DataSetV10\SaidSaloum iPen4','SaidSaloum,AHD,YA,A,D.txt')

%ReadCrudeDataFile('GLOBAL_VARIABLES')
%load GLOBAL_VARIABLES.m
%global gl_PATH_TO_PROCESSED_FILE
            
global gl_PATH_TO_PROCESSED_FILE;
fileID = fopen(char(gl_PATH_TO_PROCESSED_FILE), 'r', 'n', 'UTF-8');

%%%%      .       %%%%
%%%%    %
WordV10(indWordNum).Path=gl_PATH_TO_PROCESSED_FILE;

%global tline;
tline = '';
while ischar (tline)
    %       %%             
    
    %indWordNum=1 %WordNum+1;
    disp(WordV10(indWordNum))
    %#WriterName
    tline = fgetl(fileID);
    C = textscan(tline, '%s %s','delimiter', ',');
    WordV10(indWordNum).WriterName=C(1, 2);
    
    %#StrokesCount
    tline = fgetl(fileID);
    C = textscan(tline, '%s %d', 'delimiter', ','); % was %d8
    WordV10(indWordNum).StrokesCount=C(1, 2);
    
    %#LettersCount
    tline = fgetl(fileID);
    C = textscan(tline, '%s %d', 'delimiter', ','); % was %d8
    WordV10(indWordNum).LettersCount=C(1, 2);
    
    %#WArabic
    tline = fgetl(fileID);
    C = textscan(tline, '%s %s', 'delimiter',',');
    WordV10(indWordNum).WArabic=C(1, 2);
    %LC = WordV10(wc).LettersCount   %LT -> letters count
    
    %#WEnglish
    tline = fgetl(fileID);
    LetC = WordV10 (indWordNum).LettersCount;
    FormatString = repmat('%s',1, LetC{1,1}) ;
    lFormatString=strcat('%*s', FormatString);%         #          
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).WEnglish = C;
    
    %#WUnicode
    tline = fgetl(fileID);
    FormatString = repmat('%d',1, LetC{1,1});
    lFormatString=strcat('%*s', FormatString);
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).WUnicode = C;
    
    while ischar (tline)
        tline = fgetl(fileID);
        if tline == -1
        break
    end
    C = textscan(tline, '%s','delimiter', ',');
    
    switch (C{1,1}{1,1})
        case '#SArabic'
            [tline, WordV10, indWordNum, SyllNum, C] = Read_Syllable_FromFileToMatrix (tline, WordV10, indWordNum, SyllNum, fileID, C);
        case '#H'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
        case '#1'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
        case '#2'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
        case '#3'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
        case '#T'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
        case '#K'
            [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C);
    end
    a=99;
end 
    %WordV10(wc).WriterName=C(1, 2)
    
    
end
fclose(fileID);
function [tline, WordV10, indWordNum, SyllNum, C] = Read_Syllable_FromFileToMatrix (tline ,WordV10, indWordNum, SyllNum, fileID, C) 
    % [tline, WordV10, wc, sc]     
    SyllNum=SyllNum+1;
    global StrockOrder;
    StrockOrder=StrockOrder+1;
    
    WordV10(indWordNum).Syllable(SyllNum).StrockOrder=StrockOrder;
    
    %#SArabic
    C = textscan(tline, '%s %s','delimiter', ',');
    WordV10(indWordNum).Syllable(SyllNum).SArabic =C(1, 2);
    
    %#SEnglish
    tline = fgetl(fileID);
    LetC = length(strfind(tline,','));
    FormatString = repmat('%s',1, LetC); 
    lFormatString=strcat('%*s', FormatString);%         #          
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).Syllable(SyllNum).SEnglish = C;
    
    %#SUnicode
    tline = fgetl(fileID);
    FormatString = repmat('%d',1, LetC);
    lFormatString=strcat('%*s', FormatString);
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).Syllable(SyllNum).SUnicode = C;
    
    %#Dots  -StrokesCount
    tline = fgetl(fileID);
    C = textscan(tline, '%s %d', 'delimiter', ',');
    WordV10(indWordNum).Syllable(SyllNum).CountOfPoints =C(1, 2);
    
    pc = C(1, 2); %point count
    tline = fgetl(fileID);
    FormatString = repmat('%d%d',1, pc{1}); %  %d%d -> X,Y
    C = textscan(tline,FormatString, 'delimiter',',');
    % data1 = cell2mat(textscan(C,'%d%d',pc));  % //    
    WordV10(indWordNum).Syllable(SyllNum).Points = C;
    
    %#Tms 
    %  I will drop this vale because its the same as points count pc
    tline = fgetl(fileID);
    tline = fgetl(fileID);
    FormatString = repmat('%d',1, pc{1}); %  %d -> t
    C = textscan(tline, FormatString, 'delimiter',',');
    WordV10(indWordNum).Syllable(SyllNum).Tms = C;
   

function [tline, WordV10, indWordNum, SuppNum, C] = Read_Supplement_FromFileToMatrix    (tline, WordV10, indWordNum, SuppNum, fileID, C)
    % [tline, WordV10, wc, ...]     
    
    SuppNum=SuppNum+1;
    global StrockOrder;
    StrockOrder=StrockOrder+1;
    
    WordV10(indWordNum).Supplement(SuppNum).StrockOrder=StrockOrder;
    
    %H
    WordV10(indWordNum).Supplement(SuppNum).DecMarkName =C(1, 1);
    
    %#MWArabic
    tline = fgetl(fileID);
    C = textscan(tline, '%s %s','delimiter', ',');
    WordV10(indWordNum).Supplement(SuppNum).SArabic =C(1, 2);
    
    %#MWEnglish
    tline = fgetl(fileID);
    LetC = length(strfind(tline,','));
    FormatString = repmat('%s',1, LetC); 
    lFormatString=strcat('%*s', FormatString);%         #          
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).Supplement(SuppNum).SEnglish = C;
    
    %#MWUnicode
    tline = fgetl(fileID);
    FormatString = repmat('%d',1, LetC);
    lFormatString=strcat('%*s', FormatString);
    C = textscan(tline,lFormatString, 'delimiter',',');
    WordV10(indWordNum).Supplement(SuppNum).SUnicode = C;
    
    %#Dots  -StrokesCount
    tline = fgetl(fileID);
    C = textscan(tline, '%s %d', 'delimiter', ','); %d8 here
    WordV10(indWordNum).Supplement(SuppNum).CountOfPoints =C(1, 2);
    
    pc = C(1, 2); %point count
    tline = fgetl(fileID);
    FormatString = repmat('%d%d',1, pc{1}); %  %d%d -> X,Y
    C = textscan(tline,FormatString, 'delimiter',',');
    % data1 = cell2mat(textscan(C,'%d%d',pc))  % //    
    WordV10(indWordNum).Supplement(SuppNum).Points = C;
    
    %#Tms 
    %  I will drop this vale because its the same as points count pc
    tline = fgetl(fileID);
    tline = fgetl(fileID);
    FormatString = repmat('%d',1, pc{1}); %  %d -> t
    C = textscan(tline,FormatString, 'delimiter',',');
    WordV10(indWordNum).Supplement(SuppNum).Tms = C;    


%   END MINE ---------------------------------------------------