function [InputMatrix, ErrorCellsToDelete] = MakeInputMatrix (InputMatrix, ErrorCellsToDelete, Dimension)
%ErrorCellsToDelete
%  %                     %
%    59 - 78    64*48         %

%[max_size, max_index]=GetMaximumIndexOfCellsArr (InputMatrix);
%% 
%       %
%AveLong = GetAverageIndexOfCellsArr  (InputMatrix);
if (Dimension == 0)
    AveLong = GetAverageIndexOfCellsArr  (InputMatrix); %+2;
    LongAfterInterplation = AveLong;
else
    LongAfterInterplation = Dimension; %+2; %note it will be -2.   64  66
end

%%
Long_X_Y=ceil(LongAfterInterplation/2);
LongAfterInterplation = Long_X_Y * 2;  %        
% -2 because interparc make last column from x, y NaN.

M = zeros(length(InputMatrix),LongAfterInterplation * 2); % * 2 because x,y,x,y,x,y, ...... 
ErrorCellsToDelete = zeros (1, length(InputMatrix));

MaxTest=1;
for indIM = 1:length (InputMatrix)
    str = sprintf('%d / %d.',indIM, length (InputMatrix));
    disp (str);
    
    Points = cell2mat(InputMatrix{indIM}(:));
    X = Points(1:2:end);
    X = X (1:length(Points)/2);
    X=X';
    X=double(X);
    
    %  0.0001            %
    test=1;
    while (sum (diff (X)==0)~= 0)
        c = diff (X)==0;
        X(c) = X(c)+0.0001; 
        test=test+1;
        if (test > MaxTest)
           MaxTest=test; 
        end
    end
    str = sprintf('MaxTest =  %d.', MaxTest);
    disp (str);
    
    Y = Points(2:2:end);
    Y = Y (1:length(Points)/2);
    Y=double(Y);
    Y= 1000-Y; %%%%% 4 0 0
    Y=Y';
%    plot(X, Y);
%    hold on;
    
    %%       2 %M01
    %          %
    %ptt = interparc (Long_X_Y ,X,Y,'linear');    
    %ptt=ptt(1:end-1,:); 
    %ptt = zscore (ptt);

    %% M02 
   %      
    mi=min (X);
    X=X-mi+1;
    %      % 
    mi=min (Y);
    Y=Y-mi+1;
    %plot(X, Y);
    
    %     %
    % by a factor A
    Ax= 64 / max (X);
    %X = Ax*X+(1-Ax)*mean(X(1:end));
    X = Ax*X;
    %     %
    Ay= 48 / max (Y);
    %Y = Ay*Y+(1-Ay)*mean(Y(1:end));
    Y = Ay*Y;
    %plot(X, Y);
    hold off;
%%   
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % X, Y the coordinate of dots from the file, pt->contain interpolated
    % x, y  coordinates. this function was downloded from mathwork
%     try
         %pt = interparc(Long_X_Y ,X,Y,'linear');
    %--------------------
    
%Edward Barnard 24 Apr 2018    says that he found error
%There is an error with the csape interpolation. Line 247 should read `n = n + 1` not `nt = nt + 1`.
    
    if (length (X) < 2 || length (Y)< 2)
        disp ('warning, file:MakeInputMatrix, line 95, delete cell, length <2')
        ErrorCellsToDelete (indIM) = 1; %          %
        continue;
    end
    %   +1         %
    pt = interparc (LongAfterInterplation + 1 ,X,Y,'linear'); 
    
%%%%        NaN  
    pt=pt(1:end-1,:); 
    

    %   %
    %1
    pt = zscore (pt);
    % 2
    %pt(:,1)=zscore(pt(:,1), 1);
    %pt(:,2)=zscore(pt(:,2), 1);
    
     tx=pt(:,1);
     ty=pt(:,2);
     %tx = tx(1:10:end);
     %ty = ty(1:10:end);
    
    plot(X,Y,'r*',pt(:,1),pt(:,2),'b-o')
    %plot(pt(:,1),pt(:,2),'b', tx, ty,'o')
    hold off;

    %     IntrpltdVector = pt;
%     Num = 32; % Number segments in chain
%     if (Num > IntrpltdVector /2)
%         disp ('WARNING: long of segment is less than 2 pixels');
%     end
%     IntChain = GetChainAsIntegerVector (IntrpltdVector, Num)
    
    %m=horzcat(pt(:, 1)',pt(:, 2)');
    m=horzcat(tx', ty');
    M(indIM, 1:LongAfterInterplation * 2) = m;

end
InputMatrix = M;


