function ShowWordIlustration (WritersV10)
%%%             . .  %%
ValueToReversY=650;
hold on;
counter=0;
for wr=1: length (WritersV10)
    for wo=1: length (WritersV10(wr).Words)
        for sy=1: length (WritersV10(wr).Words(wo).Syllable)
            
            a=WritersV10(wr).Words(wo).Syllable(sy).Points;
            X = a(1:2:end);
            X = cell2mat(X);
            X = double(X);
            
            Y = a(2:2:end);
            Y = ValueToReversY - cell2mat(Y);
            Y = double(Y);
            
            %axis([0 1000 0 650]);
            axis tight;
            plot(X ,Y, 'LineWidth', 3);
            t=WritersV10(wr).Words(wo).Syllable(sy).SArabic;
            t=char(t{1});
            text(X(1), Y(1), t, 'Color', 'red', 'FontSize',16);
            hold on
        end
        for su=1: length (WritersV10(wr).Words(wo).Supplement)
            a=WritersV10(wr).Words(wo).Supplement(su).Points;
            X = a(1:2:end);
            X = cell2mat(X);
            X = double(X);
            
            Y = a(2:2:end);
            Y = ValueToReversY - cell2mat(Y);
            Y = double(Y);
            
            if length (X)==2 && X(1)==X(2)
                X(2)=X(2)+1;
                Y(2)=Y(2)+1;
            end
            %axis([0 1000 0 650]);
            %axis tight;
            axis equal;
            plot(X ,Y, 'LineWidth', 3);
            t=WritersV10(wr).Words(wo).Supplement(su).DecMarkName;
            t=char(t{1});
            text(X(1), Y(1), t, 'Color', 'blue', 'FontSize',14);
            hold on
        end
        %disp('Press a key !');
        %pause;
        %f = figure;
        counter=counter+1
        WritersV10(wr).Words(wo).Path
        prompt = 'Do you want to delete the file? Y/N [Y]: ';
        str = input(prompt,'s');
        if isempty(str)
            str = 'n';
        end
        
        if str == 'y'
            dlgTitle    = 'User Question';
            dlgQuestion = 'Do you Want to delete this file?';
            choice = questdlg(dlgQuestion,dlgTitle,'Yes','No', 'Yes');
            if strcmp(choice,'Yes')
                delete (WritersV10(wr).Words(wo).Path{1})
            end
        end
        
        clf();
    end
end

